// Oleg Petruny proprietary.

#include "CrossyRoadObstacle.h"

#include "CrossyRoadManager.h"

void ACrossyRoadObstacle::Hit()
{
    if(!manager)
    {
        Destroy();
        return;
    }

    manager->Hit();
}
